Uso del comando "rotate"

Professione: Pensionato
Software: Autocad
Regione: Lombardia
#1
Salve a tutti,
non riesco a completare il comando "rotate" in questo lisp :
Codice:
;;; @GEOREF

    (defun C:GEOREF (/ ImagePuntoUno ImagePuntoDue DwgPuntoUno DwgPuntoDue Dist1 Dist2 Angolo)

        (SERVOAIUTOICONE)

        (setvar "osmode" 16384)

        (setq Image nil)
        (while
            (= Image nil)
            (setq Image (entsel "\nSeleziona l'Immagine da georeferenziare : "))
        )

        (setq ed1 (entget (car Image)))
        (setq en1 (cdr (assoc -1 ed1)))
        (redraw en1 3)

        ;; --------------------------------

        (setq ImagePuntoUno nil)

        (while
        (= ImagePuntoUno nil)
        (princ "\nPrimo Punto dell'Immagine (punto base per georeferenziazione) : ")
        (setq ImagePuntoUno (getpoint))
        )

        (setq ImagePuntoDue nil)
    
        (while
        (= ImagePuntoDue nil)
        (princ "\nSecondo Punto dell'Immagine: ")
        (setq ImagePuntoDue (getpoint))
        )

        (setq DwgPuntoUno nil)

        (while
        (= DwgPuntoUno nil)
        (princ "\nPrimo Punto georeferenziato del Rilievo (spostamento) : ")
        (setq DwgPuntoUno (getpoint))
        )

        (setq DwgPuntoDue nil)

        (while
        (= DwgPuntoDue nil)
        (princ "\nSecondo Punto georeferenziato del Rilievo: ")
        (setq DwgPuntoDue (getpoint))
        )

        (setq Dist1 (distance ImagePuntoUno ImagePuntoDue))
        (setq Dist2 (distance DwgPuntoUno DwgPuntoDue))
        (setq Angolo (angle ImagePuntoUno ImagePuntoDue))

        (command "_scale" Image "" ImagePuntoUno "_R" Dist1 Dist2)
        (command "_move" Image "" ImagePuntoUno DwgPuntoUno)
        (command "_rotate" Image DwgPuntoUno Angolo "")   ;; ****************************************************
        (command "_draworder" Image Back)

        (alert "Scalatura e georeferenziazione dell'immagine avvenuta")

        (setq Identificativo "000300")

    ) ;; defun fine GEOREF

    ;; --------------------------------------------------
Mi chiede sempre di completare il comando, manca evidentemente un Ok intermedio.
Grazie.
 

rpor66

Utente Standard
Professione: Programmatore
Software: AutoCad, GstarCAD, CadWorx, Excel, Lisp, VBA
Regione: Sicilia
#2
dopo Image hai sempre confermato la selezione con le doppie virgolette, rotate segue la stessa regola; l'angolo lo devi esprimere in gradi decimali, la funzione angle ritorna angolo in radianti.